Xalan-Java 2.7.1: Class FuncLast

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class FuncLast

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FuncLast

public class FuncLast
extends Function

Execute the Last() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncLast()`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` No arguments to process, so this does nothing.
`int` | `getCountOfContextNodeList(XPathContext xctxt)` Get the position in the current context node list.
`void` | `postCompileStep(Compiler compiler)` Figure out if we're executing a toplevel expression.

Methods inherited from class org.apache.xpath.functions.Function
`callArgVisitors, callVisitors, checkNumberArgs, deepEquals, setArg`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncLast

    public FuncLast()

Method Detail

### postCompileStep

    public void postCompileStep(Compiler compiler)

  Figure out if we're executing a toplevel expression. If so, we can't be inside of a predicate.
  Overrides:
    postCompileStep in class Function

### getCountOfContextNodeList

    public int getCountOfContextNodeList(XPathContext xctxt)
                                  throws TransformerException

  Get the position in the current context node list.
  Parameters:
    `xctxt` - non-null reference to XPath runtime context.
  Returns:
    The number of nodes in the list.
  Throws:
    TransformerException -

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  No arguments to process, so this does nothing.
  Overrides:
    fixupVariables in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.